Subject: Re: Last Call: <draft-ietf-tsvwg-iana-ports-09.txt> now draft-ietf-tsvwg-iana-ports-10.txt

From: Cullen Jennings <[email-masked]>
Date: Tue, 15 Feb 2011 21:31:19 -0700

It seems like the text in version 10 are changes that would need a LC to decide if they had consensus. 

Consider the change to add the text 

   Because the port number space is finite (and
   therefore conservation is an important goal) the alternative of using
   service names instead of port numbers is RECOMMENDED whenever
   possible.

I think at least one member of the expert review teams believes that it is possible to use SRV for most protocols so does this mean that ports will not be assigned for most protocols? Take SIP or XMPP for example, they both use SRV - would they get a port? If we were doing a new protocol like HTTP that did not define a SRV record but could be designed to have one, would the expert reviews approve a port or not? I think all these topics need significant discussion before the a LC of text like this. Anyone want to elaborate on how "whenever possible" would be decided?

I find the the following text a bit outrageous.

   Applicants
   should be aware that IANA decisions are not required to be bound to
   these principles.  These principles and general advice to users on
   port use are expected to change over time and are therefore
   documented separately, please see [I-D.touch-tsvwg-port-use].

The basic complaints about this draft can mostly be summarized as a view that everything that the authors of this draft could not get agreement on in the WG, they just made the draft silent on and Joe is asserting that the expert reviews can do whatever they think was best regardless of any IETF consensus and then people can appeal it. So this text would have this BCP assert that the place to find out what was OK and not OK was in documented in an individual draft written by Joe. This is not OK. Consider if I asked that instead, it pointed at I-D.fluffy-port-use. I'm sure many people would think that was totally unacceptable. I don't see how this is any more acceptable. It  seems like an inappropriate change to make without a new LC. I don't think that it is OK for a BCP on how to register ports to point people at a spec without consensus approval that says what is OK to register and what is not. 

I am confused by 
 
   use of the "Expert Review" helps advise IANA informally in
   cases where "IETF Review" or "IESG Review" is used, as with most IETF
   protocols.

I read this to mean that IANA would also ask for expert review on allocations made in IESG reviewed drafts? This seemed to be the opposite of what was discussed on list. 

The draft removed the "and so strives to avoid separate assignments for non-secure variants" out of 
  "IANA strives to encourage the deployment of secure protocols, and so strives to avoid separate assignments for non-secure variants"

I suspect this was done to try and address my main complaint but I don't see how it helps. 

On Feb 11, 2011, at 6:15 PM, [email-masked] wrote:

> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the Transport Area Working Group Working Group of the IETF.
> 
> 
> 	Title           : Internet Assigned Numbers Authority (IANA) Procedures for the Management of the Service Name and Transport Protocol Port Number Registry
> 	Author(s)       : M. Cotton, et al.
> 	Filename        : draft-ietf-tsvwg-iana-ports-10.txt
> 	Pages           : 32
> 	Date            : 2011-02-11
> 
> This document defines the procedures that the Internet Assigned
> Numbers Authority (IANA) uses when handling assignment and other
> requests related to the Service Name and Transport Protocol Port
> Number Registry.  It also discusses the rationale and principles
> behind these procedures and how they facilitate the long-term
> sustainability of the registry.
> 
> This document updates IANA's procedures by obsoleting the previous
> UDP and TCP port assignment procedures defined in Sections 8 and 9.1
> of the IANA allocation guidelines [RFC2780], and it updates the IANA
> Service Name and Port assignment procedures for UDP-Lite [RFC3828],
> DCCP [RFC4340] [RFC5595] and SCTP [RFC4960].  It also updates the DNS
> SRV specification [RFC2782] to clarify what a service name is and how
> it is registered.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-tsvwg-iana-ports-10.txt
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> <Mail Attachment>_______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt